DELETE
/users/:user_id/notes/:note_id/Delete user note
You can remove a note from a user.
| Attributes | Type | Required | Description |
|---|---|---|---|
| user_id | integer | yes | A unique identifier for the user which is given by User.com automatically. |
| note_id | integer | yes | A unique identifier for the note which is given by User.com automatically. |
Request
- CURL
- JavaScript
- PHP
- Python
curl -X DELETE -H "Authorization: Token <your_64_char_api_key>"
-H "Accept: */*; version=2" -d '' "https://<your_app_subdomain>.user.com/api/public/users/:user_id/notes/:note_id/"
var data = null;
var xhr = new XMLHttpRequest();
xhr.withCredentials = true;
xhr.addEventListener("readystatechange", function () {
if (this.readyState === 4) {
console.log(this.responseText);
}
});
xhr.open("DELETE", "https://<your_app_subdomain>.user.com/api/public/users/:user_id/notes/:note_id/");
xhr.setRequestHeader("authorization", "Token <your_64_char_api_key>");
xhr.setRequestHeader("accept", "*/*; version=2");
xhr.send(data);
<?php
$curl = curl_init();
curl_setopt_array($curl, array(
CURLOPT_URL => "https://<your_app_subdomain>.user.com/api/public/users/:user_id/notes/:note_id/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_POSTFIELDS => "",
CURLOPT_HTTPHEADER => array(
"Accept: */*; version=2",
"authorization: Token <your_64_char_api_key>"
),
));
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
import requests
url = "https://<your_app_subdomain>.user.com/api/public/users/:user_id/notes/:note_id/"
headers = {
'authorization': "Token <your_64_char_api_key>",
'Accept': "*/*; version=2"
}
response = requests.request("DELETE", url, headers=headers)
print(response.text)